
Auto Multiple Choice - Feature # 263: automatically display the number of points for each exercise

Status: Closed Priority: Normal
Author: math user Category:
Created: 02/08/2014 Assignee:
Updated: 02/08/2018 Due date:
Description: It would be great if the number of points is automatically displayed (default; can be turned off) below each 

question (just above the text defined by \AMCntextGoto in separate answer sheet mode).

Example: \AMCnumericOpts{scoreexact=3,...} would _automatically_ produce the text "3 points", so I do not 
need to add that manually.

---

Optional (can be turned off):
A summary at the beginning of the exam:
exercise 1: 9 points
exercise 2: 7 points
...
total: 53 points

---

Thanks!

History
10/20/2014 05:58 pm - Alexis Bienvenüe
- Target version deleted (1.3.0)

- Assignee deleted (Alexis Bienvenüe)

10/31/2014 02:42 pm - Alexis Bienvenüe
- Status changed from New to Feedback

I think the best way to do that is to create a LaTeX macro that will display what you need _and_ set the options accordingly, such as
<pre>
\def\numericmax#1{\textem{#1 points}\AMCnumericOpts{scoreexact=#1}}
</pre>

11/01/2014 03:22 pm - math user
Thank you for this useful hint, Alexis!

02/08/2018 05:44 pm - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
